# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-08-17 12:21
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Equipment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='nom du matériel')),
                ('stock', models.PositiveSmallIntegerField(verbose_name='quantité disponible')),
                ('description', models.TextField(verbose_name='description')),
            ],
            options={
                'verbose_name': 'matériel',
                'verbose_name_plural': 'matériels',
            },
        ),
        migrations.CreateModel(
            name='EquipmentAttribution',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.PositiveSmallIntegerField(verbose_name='quantité attribuée')),
                ('remarks', models.TextField(verbose_name="remarques concernant l'attribution")),
            ],
            options={
                'verbose_name': 'attribution de matériel',
                'verbose_name_plural': 'attributions de matériel',
            },
        ),
        migrations.CreateModel(
            name='EquipmentRemark',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('remark', models.TextField(verbose_name='remarque sur le matériel')),
                ('amount', models.PositiveSmallIntegerField(verbose_name='quantité concernée')),
                ('is_broken', models.BooleanField()),
                ('is_lost', models.BooleanField()),
                ('equipment', models.ForeignKey(help_text='Matériel concerné par la remarque', on_delete=django.db.models.deletion.CASCADE, related_name='remarks', to='equipment.Equipment')),
            ],
            options={
                'verbose_name': 'remarque sur matériel',
                'verbose_name_plural': 'remarques sur le matériel',
            },
        ),
    ]
